import com.nokia.meego 1.0
import QtQuick 1.1
import com.nokia.extras 1.1
import com.nokia.controlpanel 0.1

Page {
    id: root
    Image {
    source: "images/about.png"
    }
    orientationLock: PageOrientation.LockPortrait
	
        tools: ToolBarLayout {
            Image {
            source: "images/about_toolbar.png"
            }
			
            Button {
                platformStyle: ButtonStyle {
                background: "images/m-toolbar-back.png"
                checkedBackground: "images/m-toolbar-back-pressed.png"
                pressedBackground: "images/m-toolbar-back-pressed.png"
                }                   
                text: ""
                anchors.left: parent.left
                anchors.bottom: parent.bottom
                width: 64
                height: 64
                    onClicked: {
                        if (pageStack.depth > 1) {
                        pageStack.pop();
                    } else if (dcp.isStandalone) {
                        dcp.popupMainPageAlone();
                    } else {
                        Qt.quit(); 
					}
                }						
	        }    
        }

	
    Flickable {
        id: flickable
        anchors.fill: parent
        flickableDirection: Flickable.VerticalFlick
        contentHeight: content.height

        Column {
            id: content
            spacing: 10
            width: parent.width

		    Label {
			    anchors.top: parent.top
			    anchors.topMargin: 10
                anchors.right: parent.right
				anchors.left: parent.left
				font.pixelSize: 34
                text: qsTr("About")
                horizontalAlignment: Text.AlignHCenter
               } 
	
	        Separator {
			color: "white"
			width: 520
			}
	
            Row {
                width: parent.width
                anchors.horizontalCenter: parent.horizontalCenter
				
	        Label {
                text: "Inspired by"
                anchors.left: parent.left
                anchors.leftMargin: 70
				font.pixelSize: 40
				font.weight: Font.Light
				anchors.top: parent.top
				anchors.topMargin: 20
            }
	   
            Image {
			   source: "images/graphic-os-logo.png"
			   width: 256
			   height: 64
			   anchors.left: parent.left
               anchors.leftMargin: 222
			   }			   
			}  
						
			Image {
			   source: "images/graphic-os-oem-logo.png"
			   width: 128
			   height: 128
               anchors.horizontalCenter: parent.horizontalCenter
			   }
			   
			Item {
			width: 1
			height: 1
			}	
			
            Label {
                text: qsTr("This theme was created under the impression of wonderful Sailfish UI and dedicated to MeeGo Community.")
                anchors.left: parent.left
                anchors.leftMargin: 16
                anchors.right: parent.right
                anchors.rightMargin: 16
                horizontalAlignment: Text.AlignHCenter
                wrapMode: Text.WordWrap
            }

            Separator {
                color: "white"
                anchors.left: parent.left
                anchors.leftMargin: 30
                anchors.right: parent.right
                anchors.rightMargin: 0
            }

            Label {
                text: qsTr("Credits:")
                font.pixelSize: 30
                horizontalAlignment: Text.AlignHCenter
                width: parent.width
            }

            Label {
                text: qsTr("My ex-beloved - patience and inspiration;\n\nMarkku Korhonen (@_MK99) - advices;\n\nDenis Kalinin (@Fell_x27) - advices;\n\nAndrey Kozhevnikov (@iCODeRUS) - advices, settings-applet example;\n\nIvan Smolentsev (@iSmolentsev) - keyboard graphics;\n\nEvgeny Kudinov (@plazmatics) - calendar-icons, Photoshop tips;\n\nBasil Semuonov (@basil_s) - Community Repository System (openrepos.net);\n\nRuslan Burkhanov (rbur) - some application icons.")
                anchors.left: parent.left
                anchors.leftMargin: 16
                anchors.right: parent.right
                anchors.rightMargin: 16
                horizontalAlignment: Text.AlignHCenter
                wrapMode: Text.WordWrap
                width: parent.width
            }

            Separator {
                color: "white"
                anchors.left: parent.left
                anchors.leftMargin: 30
                anchors.right: parent.right
                anchors.rightMargin: 0
            }

            Label {
                text: qsTr("Contacts and support:")
                font.pixelSize: 30
                horizontalAlignment: Text.AlignHCenter
                width: parent.width
            }

		  Button {
				platformStyle: ButtonStyle {
                background: "images/openrepos.png"
                pressedBackground: "images/openrepos_pressed.png"
				}
                width: 400
                height: 73
                anchors.left: parent.left
                anchors.leftMargin: 34
		        onClicked: {
                Qt.openUrlExternally("https://openrepos.net/content/ancelad/sailfishos-theme-harmattan")
                }
                }

            Item {
                width: 1
                height: 16
            }

            Row {
                height: 80
                anchors.horizontalCenter: parent.horizontalCenter
                spacing: 20

                Button {
				platformStyle: ButtonStyle {
                background: "images/twitter.png"
                pressedBackground: "images/twitter_pressed.png"
				}
                width: 64
                height: 64
		        onClicked: {
                Qt.openUrlExternally("https://twitter.com/iAncelad")
                }
                }

		        Button {
				platformStyle: ButtonStyle {
                background: "images/tmo.png"
			    pressedBackground: "images/tmo_pressed.png"
			    }
                width: 64
                height: 64
		        onClicked: {
                Qt.openUrlExternally("http://talk.maemo.org/showthread.php?t=91743")
                }
                }

		        Button {
				platformStyle: ButtonStyle {
                background: "images/email.png"
                pressedBackground: "images/email_pressed.png"
				}
                width: 64
                height: 64
		        onClicked: {
                Qt.openUrlExternally("mailto:i_am_pomidorchik@mail.ru?subject=SailfishOS Theme")
                }
                }

            
		        Button {
				platformStyle: ButtonStyle {
                background: "images/4pda.png"
			    pressedBackground: "images/4pda_pressed.png"
			    }
                width: 64
                height: 64
		        onClicked: {
                Qt.openUrlExternally("http://4pda.ru/forum/index.php?showtopic=571761&st=0#entry31432088")
                }
                }

		        Button {
				platformStyle: ButtonStyle {
                background: "images/youtube.png"
			    pressedBackground: "images/youtube_pressed.png"
			    }
                width: 64
                height: 64
		        onClicked: {
                Qt.openUrlExternally("http://www.youtube.com/watch?v=B1PgzR0JrDA&feature=youtu.be&a")
                }
                }

            }

            Label {
                text: qsTr("This theme is free forever. But you can support development via PayPal.")
                anchors.left: parent.left
                anchors.leftMargin: 16
                anchors.right: parent.right
                anchors.rightMargin: 16
                horizontalAlignment: Text.AlignHCenter
                width: parent.width
            }

            Button {
                platformStyle: ButtonStyle {
                background: "/usr/share/themes/sailfish/meegotouch/images/button_bg/button_bg.png"
                pressedBackground: "/usr/share/themes/sailfish/meegotouch/.ambiance/.keira_black/images/button_bg/button_bg_pressed.png"
                }                   
                text: qsTr("Donate USD")
                anchors.horizontalCenter: parent.horizontalCenter
				font.weight: Font.Light
				font.pixelSize: 30
                width: 186
				height: 66
                onClicked: {
                Qt.openUrlExternally("https://www.paypal.com/cgi-bin/webscr?cmd=_s-xclick&hosted_button_id=JWTJVWF8TLCDA")
                }
            }
				
            Button {
                platformStyle: ButtonStyle {
                background: "/usr/share/themes/sailfish/meegotouch/images/button_bg/button_bg.png"
                pressedBackground: "/usr/share/themes/sailfish/meegotouch/.ambiance/.keira_black/images/button_bg/button_bg_pressed.png"
                }                   
                text: qsTr("Donate RUB")
                anchors.horizontalCenter: parent.horizontalCenter
				font.weight: Font.Light
				font.pixelSize: 30
                width: 186
				height: 66
                onClicked: {
                Qt.openUrlExternally("https://www.paypal.com/cgi-bin/webscr?cmd=_s-xclick&hosted_button_id=LNYWHR2NUCGHU")
                }
            }
				
            Button {
                platformStyle: ButtonStyle {
                background: "/usr/share/themes/sailfish/meegotouch/images/button_bg/button_bg.png"
                pressedBackground: "/usr/share/themes/sailfish/meegotouch/.ambiance/.keira_black/images/button_bg/button_bg_pressed.png"
                }                   
                text: qsTr("Donate EUR")
                anchors.horizontalCenter: parent.horizontalCenter
				font.weight: Font.Light
				font.pixelSize: 30
                width: 186
				height: 66
                onClicked: {
                Qt.openUrlExternally("https://www.paypal.com/cgi-bin/webscr?cmd=_s-xclick&hosted_button_id=E33PBZ79WTQJY")
                }
			}
			
            Separator {
                color: "white"
                anchors.left: parent.left
                anchors.leftMargin: 30
                anchors.right: parent.right
                anchors.rightMargin: 0
            }

            Label {
                text: qsTr("Thank you!!!")
                font.pixelSize: 30
                horizontalAlignment: Text.AlignHCenter
                width: parent.width
			}
			
			Item {
                width: 1
                height: 16
            }
        }
    }

    ScrollDecorator {
        flickableItem: flickable
    }
}     