import com.nokia.meego 1.0
import QtQuick 1.1
import com.nokia.extras 1.1
import com.nokia.controlpanel 0.1
import org.coderus.GConf 1.0
import org.ancelad.Ambiance 1.0

Page {
    id: effectsPage
    orientationLock: PageOrientation.LockPortrait
        Image {
        source: "/usr/share/themes/sailfish/meegotouch/images/common_backgrounds/480x854.png"
              }
        tools: ToolBarLayout {
                Image {
                source: "/usr/share/themes/sailfish/meegotouch/images/common_backgrounds/480x72.png"
                      }
            Button {
                platformStyle: ButtonStyle {
                background: "images/m-toolbar-back.png"
                checkedBackground: "images/m-toolbar-back-pressed.png"
                pressedBackground: "images/m-toolbar-back-pressed.png"
                }                   
                text: ""
                anchors.left: parent.left
                width: 64
                height: 64
                    onClicked: {
                        if (pageStack.depth > 1) {
                        pageStack.pop();
                    } else if (dcp.isStandalone) {
                        dcp.popupMainPageAlone();
                    } else {
                        Qt.quit();                   
	            }	
			}
	    }
    }

    GConf {
        id: gconf
    }

    Ambiance {
        id: ambiance
    }	

    function backgroundEffects(path) {
        ambiance.shell("/usr/share/themes/sailfish/meegotouch/.ambiance/scripts/effects.sh", [path])
		banner.notify(qsTr("Done! Check your image in Gallery."))
    }		
        Flickable {
        id: flickable
        anchors.fill: parent
        flickableDirection: Flickable.VerticalFlick
        contentHeight: content.height
		
        Column {
            id: content
            spacing: 10
            width: parent.width
			
		    DcpPageTitle {
                x: 10		
                text: qsTr("Effects page")
            }
			
           Label {
                text: qsTr("Set up brightness and blur-radius:")
                anchors.left: parent.left
                anchors.leftMargin: 4
                horizontalAlignment: Text.AlignHLeft
                width: parent.width
                font.pixelSize: 28
                }

            Label {
                text: qsTr("Brightness (30-100%)")
                anchors.left: parent.left
                anchors.leftMargin: 4
                horizontalAlignment: Text.AlignHLeft
                width: parent.width
                }	
			
            Slider {
                id: brightnessSlider
				platformStyle: SliderStyle {
				handleBackground: "/usr/share/themes/sailfish/meegotouch/images/progress-indicators/slider/seeker-handle-inverted-background-horizontal.png"
                handleBackgroundPressed: "/usr/share/themes/sailfish/meegotouch/images/progress-indicators/slider/seeker-handle-inverted-background-pressed-horizontal.png"
				grooveItemBackground: "/usr/share/themes/sailfish/meegotouch/images/progress-indicators/slider/slider-inverted-background-horizontal.png"
				grooveItemElapsedBackground: "/usr/share/themes/sailfish/meegotouch/images/progress-indicators/slider/slider-elapsed-inverted-background-horizontal.png"
				}
                width: parent.width
                maximumValue: 100
                minimumValue: 30
                value: 50
                stepSize: 1
                valueIndicatorVisible: true
                valueIndicatorText: qsTr("%1%").arg(parseInt(value))
                onValueChanged: gconf.set("/apps/ancelad/brightness", value)
            }
							
	
            Label {
                text: qsTr("Blur-radius (0-8 px)")
                anchors.left: parent.left
                anchors.leftMargin: 4
                horizontalAlignment: Text.AlignHLeft
                width: parent.width
                }

            Slider {
                id: blurSlider
				platformStyle: SliderStyle {
				handleBackground: "/usr/share/themes/sailfish/meegotouch/images/progress-indicators/slider/seeker-handle-inverted-background-horizontal.png"
                handleBackgroundPressed: "/usr/share/themes/sailfish/meegotouch/images/progress-indicators/slider/seeker-handle-inverted-background-pressed-horizontal.png"
				grooveItemBackground: "/usr/share/themes/sailfish/meegotouch/images/progress-indicators/slider/slider-inverted-background-horizontal.png"
				grooveItemElapsedBackground: "/usr/share/themes/sailfish/meegotouch/images/progress-indicators/slider/slider-elapsed-inverted-background-horizontal.png"
				}
                width: parent.width
                maximumValue: 8
                minimumValue: 0
                stepSize: 1
	            value: 4
                valueIndicatorVisible: true
                valueIndicatorText: qsTr("%1 px").arg(parseInt(value))
                onValueChanged: gconf.set("/apps/ancelad/blur", value)
            }
	
            Label {
                text: qsTr("Push the button and select your picture*.\n\If blur value is 0, your image will named 'jolla_noblur.png'; if blur value isn't 0 - your image will named 'jolla_blur.png'.")
                anchors.left: parent.left
                anchors.leftMargin: 4
                horizontalAlignment: Text.AlignHRight
                width: 470
                font.pixelSize: 24
                }
				
            Label {
                text: qsTr("\n\*Picture requirements: JPEG or PNG 480x854 px;\n\Folder: /home/user/MyDocs/Pictures/ambiance")
                font.pixelSize: 20
                anchors.left: parent.left
                anchors.leftMargin: 4
                horizontalAlignment: Text.AlignHLeft
                width: parent.width
                }
				  
          Button {
                     platformStyle: ButtonStyle {
                         background: "/usr/share/themes/sailfish/meegotouch/images/button_bg/button_bg_large.png"
                         pressedBackground: "/usr/share/themes/sailfish/meegotouch/images/button_bg/button_bg_large_pressed.png"
						 pressedTextColor: "#c8a955"
                       }
                anchors.horizontalCenter: parent.horizontalCenter
                text: qsTr("Make Jolla-wallpaper")
				width: 322
				height: 66
				font.weight: Font.Light
				font.pixelSize: 30
                onClicked: {
					pageStack.push(Qt.resolvedUrl("ImagesPage.qml"))
					pageStack.currentPage.selected.connect(effectsPage.backgroundEffects)
                    } 
            }
			
          Button {
                     platformStyle: ButtonStyle {
                         background: "/usr/share/themes/sailfish/meegotouch/images/button_bg/button_bg_large.png"
                         pressedBackground: "/usr/share/themes/sailfish/meegotouch/images/button_bg/button_bg_large_pressed.png"
						 pressedTextColor: "#c8a955"
                       }
                anchors.horizontalCenter: parent.horizontalCenter
                text: qsTr("Add pulley-texture")
				width: 322
				height: 66
				font.weight: Font.Light
				font.pixelSize: 30
                onClicked: {
					pageStack.push(Qt.resolvedUrl("PulleyPage.qml"))
					pageStack.currentPage.selected.connect(effectsPage.backgroundEffects)
                    } 
            }
			
			Item { 
                width: 1
                height: 20
            }	          					
		}
	}
	
    ScrollDecorator {
        flickableItem: flickable
    }
	
}	
