import com.nokia.meego 1.0
import QtQuick 1.1
import com.nokia.extras 1.1
import com.nokia.controlpanel 0.1
import org.coderus.GConf 1.0
import org.ancelad.Ambiance 1.0

Page {
    id: lockscreen
    orientationLock: PageOrientation.LockPortrait
        Image {
        source: "/usr/share/themes/sailfish/meegotouch/images/common_backgrounds/480x854.png"
        }

    tools: ToolBarLayout {
            Image {
            source: "/usr/share/themes/sailfish/meegotouch/images/common_backgrounds/480x72.png"
            }
			
        Button {
            platformStyle: ButtonStyle {
            background: "images/m-toolbar-back.png"
            checkedBackground: "images/m-toolbar-back-pressed.png"
            pressedBackground: "images/m-toolbar-back-pressed.png"
            }                   
            text: ""
            anchors.left: parent.left
            width: 64
            height: 64
            onClicked: {
                        if (pageStack.depth > 1) {
                        pageStack.pop();
                    } else if (dcp.isStandalone) {
                        dcp.popupMainPageAlone();
                    } else {
                        Qt.quit();                   
	            }	
			}
	    }
    }			  
			  
    Ambiance {
        id: ambiance
    }
			
    	GConf {
        id: gconf
    }
	
    Flickable {
        id: flickable
        anchors.fill: parent
        flickableDirection: Flickable.VerticalFlick
        contentHeight: content.height
		
    Column {
            id: content
            width: parent.width

		    DcpPageTitle {
                x: 10		
                text: qsTr("Folder Settings")             
            }
				 		
		
        Label {
        text: qsTr("Set up folder opacity level and color then push 'Apply'.")
        anchors.left: parent.left
        anchors.leftMargin: 16
        anchors.right: parent.right
        anchors.rightMargin: 16
		font.pixelSize: 23
        horizontalAlignment: Text.AlignHRight
        wrapMode: Text.WordWrap        
		}
			
        Item {
        width: 1
        height: 40
        }
		
        SelectionItem {
        id: colorItem
        anchors.left: parent.left
        anchors.leftMargin: 16
        title: qsTr("Folder color")
        model: colorModel
        onValueChosen: {
        gconf.set("/apps/ancelad/folder_color", currentValue)
            }
        }
		
		Separator {
		color: "white"
		title: qsTr("Folder opacity")
		}
		
	 	Slider {
        id: folderOpacitySizeSlider
		platformStyle: SliderStyle {
		handleBackground: "/usr/share/themes/sailfish/meegotouch/images/progress-indicators/slider/seeker-handle-inverted-background-horizontal.png"
        handleBackgroundPressed: "/usr/share/themes/sailfish/meegotouch/images/progress-indicators/slider/seeker-handle-inverted-background-pressed-horizontal.png"
		grooveItemBackground: "/usr/share/themes/sailfish/meegotouch/images/progress-indicators/slider/slider-inverted-background-horizontal.png"
		grooveItemElapsedBackground: "/usr/share/themes/sailfish/meegotouch/images/progress-indicators/slider/slider-elapsed-inverted-background-horizontal.png"
		}
        width: parent.width
        minimumValue: 0
		maximumValue: 1
        value: gconf.get("/apps/ancelad/folder_opacity", value)
        stepSize: 0.01
        valueIndicatorVisible: true
        valueIndicatorText: qsTr("%1%").arg(parseInt(value*100))
        onValueChanged: gconf.set("/apps/ancelad/folder_opacity", value)
        }	
						
        Item {
        width: 1
        height: 20
        }

        Label { 
        text: qsTr("Preview:")
        anchors.left: parent.left
        anchors.leftMargin: 16
        anchors.right: parent.right
        anchors.rightMargin: 16
        horizontalAlignment: Text.AlignHCenter
		font.weight: Font.Light
		font.pixelSize: 40
		color: "white"
		}	
				
        Rectangle {
		width: 480
		height: 200
		color: colorItem.currentValue
		opacity: folderOpacitySizeSlider.value	
	    }
		
		Label {
		text: qsTr("Folder")
		font.pixelSize: 24
		font.weight: font.Light
		horizontalAlignment: Text.AlignHLeft
		x: 20
		anchors.top: parent.top
		anchors.topMargin: 460
		}	
		
	        Row {
	        x: 13
	        spacing: 2
            anchors.top: parent.top
			anchors.topMargin: 520

			    Rectangle {
			    width: 112
			    height: 118
                color: "transparent"

			        Image {
				    anchors.horizontalCenter: parent.horizontalCenter
				    source: "images/icon-l-telephony.png"
                    width: 80
                    height: 80
			        }

				    Label {
				    text: qsTr("Phone")
				    width: 112
				    font.pixelSize: 18
					font.weight: font.Light
					horizontalAlignment: Text.AlignHCenter
					maximumLineCount: 1
					anchors.bottom: parent.bottom
					anchors.bottomMargin: 3
					}
				}

				Rectangle {
				width: 112
				height: 118
	            color: "transparent"

					Image {
					anchors.horizontalCenter: parent.horizontalCenter
					source: "images/icon-l-conversation.png"
	                width: 80
	                height: 80
				    }

					Label {
					text: qsTr("Messages")
					width: 112
					font.pixelSize: 18
					font.weight: font.Light
					horizontalAlignment: Text.AlignHCenter
					maximumLineCount: 1
					anchors.bottom: parent.bottom
					anchors.bottomMargin: 3
					}
				}

				Rectangle {
				width: 112
				height: 118
 	            color: "transparent"

				    Image {
					anchors.horizontalCenter: parent.horizontalCenter
					source: "images/icon-l-email.png"
	                width: 80
	                height: 80
				    }

					Label {
					text: qsTr("Mail")
					width: 112
					font.pixelSize: 18
					font.weight: font.Light
					horizontalAlignment: Text.AlignHCenter
					maximumLineCount: 1
					anchors.bottom: parent.bottom
					anchors.bottomMargin: 3
					}
				}
				
				Rectangle {
				width: 112
				height: 118
 	            color: "transparent"

				    Image {
					anchors.horizontalCenter: parent.horizontalCenter
					source: "images/icon-l-browser.png"
	                width: 80
 	                height: 80
				    }

					Label {
					text: qsTr("Browser")
					width: 112
					font.pixelSize: 18
					font.weight: font.Light
					horizontalAlignment: Text.AlignHCenter
					maximumLineCount: 1
					anchors.bottom: parent.bottom
					anchors.bottomMargin: 3
					}
				}
	        }
			
        Button {
        platformStyle: ButtonStyle {
        background: "/usr/share/themes/sailfish/meegotouch/images/button_bg/button_bg.png"
        pressedBackground: "/usr/share/themes/sailfish/meegotouch/images/button_bg/button_bg_pressed.png"
        pressedTextColor: "#c8a955"
        }
		anchors.top: parent.top
		anchors.topMargin: 680
        anchors.horizontalCenter: parent.horizontalCenter
        text: qsTr("Apply")
		font.weight: Font.Light
		font.pixelSize: 30
        width: 186
		height: 66
        onClicked: {
		ambiance.shell("/usr/share/themes/sailfish/meegotouch/.ambiance/scripts/folder_options.sh")
        banner.notify(qsTr("Done! Restart homescreen."))
            }
        }
			
        Button {
        platformStyle: ButtonStyle {
        background: "/usr/share/themes/sailfish/meegotouch/images/button_bg/button_bg_large.png"
        pressedBackground: "/usr/share/themes/sailfish/meegotouch/images/button_bg/button_bg_large_pressed.png"
		pressedTextColor: "#c8a955"
        }
        anchors.top: parent.top
		anchors.topMargin: 750
        anchors.horizontalCenter: parent.horizontalCenter
        text: qsTr("Restart homescreen")
		width: 322
		height: 66
		font.weight: Font.Light
		font.pixelSize: 30
        onClicked: {
        ambiance.shell("/usr/share/themes/sailfish/meegotouch/.ambiance/scripts/restart_homescreen.sh")
            }
        }
	}

	ScrollDecorator {
        flickableItem: flickable
    }
	
        Component.onCompleted: {
	    colorItem.initialValue = gconf.get("/apps/ancelad/folder_color")
        }

        ListModel {
            id: colorModel
		    Component.onCompleted: {			
        	append({"name": qsTr("Black"), "value": "#000000"})
        	append({"name": qsTr("Red"), "value": "#ff0000"})
        	append({"name": qsTr("Green"), "value": "#00ff00"})
        	append({"name": qsTr("Blue"), "value": "#0000ff"})
        	append({"name": qsTr("Yellow"), "value": "#ffff00"})
        	append({"name": qsTr("Cyan"), "value": "#00ffff"})		
        	append({"name": qsTr("Magenta"), "value": "#ff00ff"})			
            }		
        }				
    }
} 