import com.nokia.meego 1.0
import QtQuick 1.1
import com.nokia.extras 1.1
import com.nokia.controlpanel 0.1
import org.coderus.GConf 1.0
import org.ancelad.Ambiance 1.0

Page {
    id: homescreen
    orientationLock: PageOrientation.LockPortrait

    Image {
    source: "/usr/share/themes/sailfish/meegotouch/images/common_backgrounds/480x854.png"
    }

    Ambiance {
    id: ambiance
    }

    GConf {
    id: gconf
    }

    Rectangle {
		width: 480
		height: 854
		color: "transparent"

		Label {
		x: 16
		text: qsTr("Vertical spacing between icons")
		font.pixelSize: 22
		width: 480
		maximumLineCount: 1
		}

	    Row {
		width: 480

            Column {
		    spacing: verticalSpacing.value
		    y: 60

	        Row {
	        x: 13
	        spacing: 2

			    Rectangle {
			    width: 112
			    height: 118
                color: "transparent"

			        Image {
				    anchors.horizontalCenter: parent.horizontalCenter
				    source: "images/icon-l-telephony.png"
                    width: 80
                    height: 80
			        }

				    Label {
				    text: qsTr("Phone")
				    width: 112
				    font.pixelSize: 18
					font.weight: font.Light
					horizontalAlignment: Text.AlignHCenter
					maximumLineCount: 1
					anchors.bottom: parent.bottom
					anchors.bottomMargin: 3
					}
				}

				Rectangle {
				width: 112
				height: 118
	            color: "transparent"

					Image {
					anchors.horizontalCenter: parent.horizontalCenter
					source: "images/icon-l-conversation.png"
	                width: 80
	                height: 80
				    }

					Label {
					text: qsTr("Messages")
					width: 112
					font.pixelSize: 18
					font.weight: font.Light
					horizontalAlignment: Text.AlignHCenter
					maximumLineCount: 1
					anchors.bottom: parent.bottom
					anchors.bottomMargin: 3
					}
				}

				Rectangle {
				width: 112
				height: 118
 	            color: "transparent"

				    Image {
					anchors.horizontalCenter: parent.horizontalCenter
					source: "images/icon-l-email.png"
	                width: 80
	                height: 80
				    }

					Label {
					text: qsTr("Mail")
					width: 112
					font.pixelSize: 18
					font.weight: font.Light
					horizontalAlignment: Text.AlignHCenter
					maximumLineCount: 1
					anchors.bottom: parent.bottom
					anchors.bottomMargin: 3
					}
				}
	        }

		    Row {
		    x: 13
		    spacing: 2

				Rectangle {
				width: 112
				height: 118
 	            color: "transparent"

				    Image {
					anchors.horizontalCenter: parent.horizontalCenter
					source: "images/icon-l-browser.png"
	                width: 80
 	                height: 80
				    }

					Label {
					text: qsTr("Browser")
					width: 112
					font.pixelSize: 18
					font.weight: font.Light
					horizontalAlignment: Text.AlignHCenter
					maximumLineCount: 1
					anchors.bottom: parent.bottom
					anchors.bottomMargin: 3
					}
				}

				Rectangle {
				width: 112
				height: 118
	            color: "transparent"

				    Image {
					anchors.horizontalCenter: parent.horizontalCenter
					source: "images/icon-l-contacts.png"
	                width: 80
	                height: 80
				    }

					Label {
					text: qsTr("Contacts")
					width: 112
					font.pixelSize: 18
					font.weight: font.Light
					horizontalAlignment: Text.AlignHCenter
					maximumLineCount: 1
					anchors.bottom: parent.bottom
					anchors.bottomMargin: 3
					}
				}

				Rectangle {
				width: 112
				height: 118
	            color: "transparent"

				    Image {
					anchors.horizontalCenter: parent.horizontalCenter
					source: "images/icon-l-terminal.png"
 	                width: 80
 	                height: 80
				    }

					Label {
					text: qsTr("Terminal")
					width: 112
					font.pixelSize: 18
					font.weight: font.Light
					horizontalAlignment: Text.AlignHCenter
					maximumLineCount: 1
					anchors.bottom: parent.bottom
					anchors.bottomMargin: 3
					}
				}
	        }

		    Row {
		    x: 13
		    spacing: 2

				Rectangle {
				width: 112
				height: 118
	            color: "transparent"

				    Image {
					anchors.horizontalCenter: parent.horizontalCenter
					source: "images/icon-l-user-guide.png"
	                width: 80
 	                height: 80
				    }

					Label {
					text: qsTr("UserGuide")
					width: 112
					font.pixelSize: 18
					font.weight: font.Light
					horizontalAlignment: Text.AlignHCenter
					maximumLineCount: 1
					anchors.bottom: parent.bottom
					anchors.bottomMargin: 3
					}
				}

				Rectangle {
				width: 112
				height: 118
 	            color: "transparent"

				    Image {
					anchors.horizontalCenter: parent.horizontalCenter
					source: "images/icon-l-calendar.png"
	                width: 80
 	                height: 80
				    }

					Label {
					text: qsTr("Calendar")
					width: 112
					font.pixelSize: 18
					font.weight: font.Light
					horizontalAlignment: Text.AlignHCenter
					maximumLineCount: 1
					anchors.bottom: parent.bottom
					anchors.bottomMargin: 3
					}
				}

				Rectangle {
				width: 112
				height: 118
	            color: "transparent"

				    Image {
					anchors.horizontalCenter: parent.horizontalCenter
					source: "images/icon-l-clock.png"
 	                width: 80
	                height: 80
				    }

					Label {
					text: qsTr("Clock")
					width: 112
					font.pixelSize: 18
					font.weight: font.Light
					horizontalAlignment: Text.AlignHCenter
					maximumLineCount: 1
					anchors.bottom: parent.bottom
					anchors.bottomMargin: 3
					}
				}
	        }

		    Row {
		    x: 13
		    spacing: 2

				Rectangle {
				width: 112
				height: 118
				color: "transparent"

			    Image {
				anchors.horizontalCenter: parent.horizontalCenter
				source: "images/icon-l-camera.png"
                width: 80
                height: 80
			    }

				Label {
				text: qsTr("Camera")
				width: 112
				font.pixelSize: 18
				font.weight: font.Light
				horizontalAlignment: Text.AlignHCenter
				maximumLineCount: 1
				anchors.bottom: parent.bottom
				anchors.bottomMargin: 3
				}
			}

			Rectangle {
			width: 112
			height: 118
            color: "transparent"

			    Image {
				anchors.horizontalCenter: parent.horizontalCenter
				source: "images/icon-l-accounts.png"
                width: 80
                height: 80
			    }

				Label {
				text: qsTr("Accounts")
				width: 112
				font.pixelSize: 18
				font.weight: font.Light
				horizontalAlignment: Text.AlignHCenter
				maximumLineCount: 1
				anchors.bottom: parent.bottom
				anchors.bottomMargin: 3
				}
			}

			Rectangle {
			width: 112
			height: 118
            color: "transparent"

			    Image {
				anchors.horizontalCenter: parent.horizontalCenter
				source: "images/icon-l-calculator.png"
                width: 80
                height: 80
			    }

				Label {
				text: qsTr("Calculator")
				width: 112
				font.pixelSize: 18
				font.weight: font.Light
				horizontalAlignment: Text.AlignHCenter
				maximumLineCount: 1
				anchors.bottom: parent.bottom
				anchors.bottomMargin: 3
				}
			}
        }

	    Row {
	    x: 13
	    spacing: 2

			Rectangle {
			width: 112
			height: 118
            color: "transparent"

			    Image {
				anchors.horizontalCenter: parent.horizontalCenter
				source: "images/icon-l-documents.png"
                width: 80
                height: 80
			    }

				Label {
				text: qsTr("Documents")
				width: 112
				font.pixelSize: 18
				font.weight: font.Light
				horizontalAlignment: Text.AlignHCenter
				maximumLineCount: 1
				anchors.bottom: parent.bottom
				anchors.bottomMargin: 3
				}
			}

			Rectangle {
			width: 112
			height: 118
            color: "transparent"

			    Image {
				anchors.horizontalCenter: parent.horizontalCenter
				source: "images/icon-l-gallery.png"
                width: 80
                height: 80
			    }

				Label {
				text: qsTr("Gallery")
				width: 112
				font.pixelSize: 18
				font.weight: font.Light
				horizontalAlignment: Text.AlignHCenter
				maximumLineCount: 1
				anchors.bottom: parent.bottom
				anchors.bottomMargin: 3
				}
			}

			Rectangle {
			width: 112
			height: 118
            color: "transparent"

			    Image {
				anchors.horizontalCenter: parent.horizontalCenter
				source: "images/icon-l-maps.png"
                width: 80
                height: 80
			    }

				Label {
				text: qsTr("Maps")
				width: 112
				font.pixelSize: 18
				font.weight: font.Light
				horizontalAlignment: Text.AlignHCenter
				maximumLineCount: 1
				anchors.bottom: parent.bottom
				anchors.bottomMargin: 3
				}
			}
        }

	    Row {
	    x: 13
	    spacing: 2

			Rectangle {
			width: 112
			height: 118
			color: "transparent"

			    Image {
				anchors.horizontalCenter: parent.horizontalCenter
				source: "images/icon-l-music.png"
                width: 80
                height: 80
			    }

				Label {
				text: qsTr("Music")
				width: 112
				font.pixelSize: 18
				font.weight: font.Light
				horizontalAlignment: Text.AlignHCenter
				maximumLineCount: 1
				anchors.bottom: parent.bottom
				anchors.bottomMargin: 3
				}
			}

			Rectangle {
			width: 112
			height: 118
			color: "transparent"

			    Image {
				anchors.horizontalCenter: parent.horizontalCenter
				source: "images/icon-l-rss.png"
                width: 80
                height: 80
			    }

				Label {
				text: qsTr("Feed")
				width: 112
				font.pixelSize: 18
				font.weight: font.Light
				horizontalAlignment: Text.AlignHCenter
				maximumLineCount: 1
				anchors.bottom: parent.bottom
				anchors.bottomMargin: 3
				}
			}

			Rectangle {
			width: 112
			height: 118
            color: "transparent"

			    Image {
				anchors.horizontalCenter: parent.horizontalCenter
				source: "images/icon-l-sdk-connection.png"
                width: 80
                height: 80
			    }

				Label {
				text: qsTr("SDK Connection")
				width: 112
				font.pixelSize: 18
				font.weight: font.Light
				horizontalAlignment: Text.AlignHCenter
				maximumLineCount: 1
				anchors.bottom: parent.bottom
				anchors.bottomMargin: 3
				}
			}
        }

		Row {
	    x: 13
	    spacing: 2

			Rectangle {
			width: 112
			height: 118
            color: "transparent"

			    Image {
				anchors.horizontalCenter: parent.horizontalCenter
				source: "images/icon-l-settings.png"
                width: 80
                height: 80
			    }

				Label {
				text: qsTr("Settings")
				width: 112
				font.pixelSize: 18
				font.weight: font.Light
				horizontalAlignment: Text.AlignHCenter
				maximumLineCount: 1
				anchors.bottom: parent.bottom
				anchors.bottomMargin: 3
				}
			}

			Rectangle {
			width: 112
			height: 118
            color: "transparent"

			    Image {
				anchors.horizontalCenter: parent.horizontalCenter
				source: "images/icon-l-sim-services.png"
                width: 80
                height: 80
			    }

				Label {
				text: qsTr("SIM-menu")
				width: 112
				font.pixelSize: 18
				font.weight: font.Light
				horizontalAlignment: Text.AlignHCenter
				maximumLineCount: 1
				anchors.bottom: parent.bottom
				anchors.bottomMargin: 3
				}
			}

			Rectangle {
			width: 112
			height: 118
            color: "transparent"

			    Image {
				anchors.horizontalCenter: parent.horizontalCenter
				source: "images/icon-l-service-youtube.png"
                width: 80
                height: 80
			    }

				Label {
				text: qsTr("YouTube")
				width: 112
				font.pixelSize: 18
				font.weight: font.Light
				horizontalAlignment: Text.AlignHCenter
				maximumLineCount: 1
				anchors.bottom: parent.bottom
				anchors.bottomMargin: 3
				}
			}
        }
	}

		    Column {
	        width: 130
			anchors.right: parent.right
			anchors.rightMargin: 0
			    Slider {
			    anchors.left: parent.left
			    anchors.leftMargin: 20
	            id: verticalSpacing
			    orientation: Qt.Vertical
			    platformStyle: SliderStyle {
			    handleBackground: "/usr/share/themes/sailfish/meegotouch/images/progress-indicators/slider/seeker-handle-inverted-background-horizontal.png"
	            handleBackgroundPressed: "/usr/share/themes/sailfish/meegotouch/images/progress-indicators/slider/seeker-handle-inverted-background-pressed-horizontal.png"
			    grooveItemBackground: "images/progressindicator-inverted-bar-dui-landscape.png"
			    grooveItemElapsedBackground: "/usr/share/themes/sailfish/meegotouch/images/progress-indicators/slider/slider-elapsed-inverted-background-horizontal.png"
		        }
				height: 600
	            maximumValue: 90
 	            minimumValue: 0
	            value: 30
	            stepSize: 1
 	            valueIndicatorVisible: true
	            valueIndicatorText: qsTr("%1 px").arg(parseInt(value))
	            onValueChanged: gconf.set("/apps/ancelad/homescreen/verticalspacing", value)
	            }

				Button {
	                platformStyle: ButtonStyle {
	                background: "images/icon-m-toolbar-done-selected.png"
	                checkedBackground: "images/icon-m-toolbar-done-white.png"
	                pressedBackground: "images/icon-m-toolbar-done-white.png"
	                }
	                text: ""
					anchors.bottom: parent.bottom
 	                anchors.horizontalCenter: parent.horizontalCenter
	                width: 64
	                height: 64
	                    onClicked: {
	                    ambiance.shell("/usr/share/themes/sailfish/meegotouch/.ambiance/scripts/vertical_spacing.sh")
				    }
	            }

				Button {
	                platformStyle: ButtonStyle {
 	                background: "images/m-toolbar-back.png"
	                checkedBackground: "images/m-toolbar-back-pressed.png"
	                pressedBackground: "images/m-toolbar-back-pressed.png"
	                }
	                text: ""
					anchors.bottom: parent.bottom
					anchors.bottomMargin: -120
	                anchors.horizontalCenter: parent.horizontalCenter
	                width: 64
	                height: 64
 	                    onClicked: {
	                    if (pageStack.depth > 1) {
	                        pageStack.pop();
	                    } else if (dcp.isStandalone) {
	                        dcp.popupMainPageAlone();
	                    } else {
	                        Qt.quit();
		                }
			    	}
            	}
        	}
		}
    }
}