import com.nokia.meego 1.0
import QtQuick 1.1
import com.nokia.extras 1.1
import com.nokia.controlpanel 0.1
import org.coderus.GConf 1.0
import org.ancelad.Ambiance 1.0

Page {
    id: lockscreen
    orientationLock: PageOrientation.LockPortrait
        Image {
        source: "/usr/share/themes/sailfish/meegotouch/images/common_backgrounds/480x854.png"
              }

    tools: ToolBarLayout {
            Image {
            source: "/usr/share/themes/sailfish/meegotouch/images/common_backgrounds/480x72.png"
            }
			
        Button {
            platformStyle: ButtonStyle {
            background: "images/m-toolbar-back.png"
            checkedBackground: "images/m-toolbar-back-pressed.png"
            pressedBackground: "images/m-toolbar-back-pressed.png"
            }                   
            text: ""
            anchors.left: parent.left
            width: 64
            height: 64
            onClicked: {
                        if (pageStack.depth > 1) {
                        pageStack.pop();
                    } else if (dcp.isStandalone) {
                        dcp.popupMainPageAlone();
                    } else {
                        Qt.quit();                   
	            }	
			}
	    }
    }			  
			  
    Ambiance {
        id: ambiance
    }
			
    	GConf {
        id: gconf
    }
	
    Flickable {
        id: flickable
        anchors.fill: parent
        flickableDirection: Flickable.VerticalFlick
        contentHeight: content.height
	

    Column {
            id: content
            width: parent.width

		    DcpPageTitle {
                x: 10		
                text: qsTr("Low Power Screen/Lockscreen")             
            }
				 		
        Separator {
        color: "white"
		title: qsTr("Low Power Screen")
        }
		
        Label {
        text: qsTr("Set up LPS-clock style and push 'Apply'.")
        anchors.left: parent.left
        anchors.leftMargin: 16
        anchors.right: parent.right
        anchors.rightMargin: 16
		font.pixelSize: 23
        horizontalAlignment: Text.AlignHRight
        wrapMode: Text.WordWrap        
		}
			
        Item {
        width: 1
        height: 40
        }

        SelectionItem {
        id: lpsItem
        anchors.left: parent.left
        anchors.leftMargin: 16
        title: qsTr("LPS clock color")
        model: lpsModel
        onValueChosen: {
        gconf.set("/apps/ancelad/LPS/color", currentValue)
            }
        }   
			
        Item {
        width: 1
        height: 40
        }
			
        Label {
        text: qsTr("Size:")
        anchors.left: parent.left
        anchors.leftMargin: 16
        anchors.right: parent.right
        anchors.rightMargin: 16
		font.pixelSize: 23
        horizontalAlignment: Text.AlignHRight
        wrapMode: Text.WordWrap        
		}	
			
	 	Slider {
        id: lpsClockSizeSlider
		platformStyle: SliderStyle {
		handleBackground: "/usr/share/themes/sailfish/meegotouch/images/progress-indicators/slider/seeker-handle-inverted-background-horizontal.png"
        handleBackgroundPressed: "/usr/share/themes/sailfish/meegotouch/images/progress-indicators/slider/seeker-handle-inverted-background-pressed-horizontal.png"
		grooveItemBackground: "/usr/share/themes/sailfish/meegotouch/images/progress-indicators/slider/slider-inverted-background-horizontal.png"
		grooveItemElapsedBackground: "/usr/share/themes/sailfish/meegotouch/images/progress-indicators/slider/slider-elapsed-inverted-background-horizontal.png"
		}
        width: parent.width
        minimumValue: 80
		maximumValue: 180
        value: 100
        stepSize: 1
        valueIndicatorVisible: true
        valueIndicatorText: qsTr("%1 px").arg(parseInt(value))
        onValueChanged: gconf.set("/apps/ancelad/LPS/lpsclocksize", value)
        }	
			
		Row {
		width: parent.width
        anchors.horizontalCenter: parent.horizontalCenter
				
		    Label {
            text: qsTr("Black-background for preview")
            anchors.left: parent.left
		    anchors.top: parent.top
			anchors.topMargin: 14
            anchors.leftMargin: 6
            horizontalAlignment: Text.AlignHLeft      
		    }
			
            MySwitch {
            id: backgroundLPS
            anchors.right: parent.right
            onClicked: {
                width: 64
                height: 64
                if (checked) {
				gconf.set("/apps/ancelad/LPS/background", true)
                banner.notify(qsTr("Done!"))
                }
                else {
				gconf.set("/apps/ancelad/LPS/background", false)
                banner.notify(qsTr("Done!"))
                }
                gconf.set("/apps/ancelad/LPS/background", checked)
                }				
            }	
		}
			
        Item {
        width: 1
        height: 20
        }
		
        Column {
        width: parent.width
		
	        Row {
		    width: parent.width
            anchors.horizontalCenter: parent.horizontalCenter
				
		    Label {
            text: qsTr("Use light-font*")
            anchors.left: parent.left
			anchors.leftMargin: 6
		    anchors.bottom: parent.bottom
            anchors.bottomMargin: 32
            horizontalAlignment: Text.AlignHLeft      
		    }
			
            MySwitch {
            id: lightLPS
            anchors.right: parent.right
            onClicked: {
                width: 64
                height: 64
                if (checked) {
				    gconf.set("/apps/ancelad/LPS/lpsclockstyle", true)
				    gconf.set("/apps/ancelad/LPS/lpsclockfont", "light")
                    }
                    else {
				    gconf.set("/apps/ancelad/LPS/lpsclockstyle", false)
				    gconf.set("/apps/ancelad/LPS/lpsclockfont", "bold")
                    }
                    gconf.set("/apps/ancelad/LPS/lpsclockstyle", checked)
                    }				
                }		
	        }
		
		    Label {
            text: qsTr("*font is bold if disabled")
            anchors.left: parent.left
            anchors.leftMargin: 6
		    anchors.bottom: parent.bottom
            anchors.bottomMargin: 32
		    font.pixelSize: 20
            horizontalAlignment: Text.AlignHLeft    
		    }
		}
		
        Item {
        width: 1
        height: 10
        }
		
        Label { 
        text: qsTr("Preview:")
        anchors.left: parent.left
        anchors.leftMargin: 16
        anchors.right: parent.right
        anchors.rightMargin: 16
        horizontalAlignment: Text.AlignHCenter
		font.weight: Font.Light
		font.pixelSize: 40
		color: "white"
		}	
		
        Item {
        width: 1
        height: 20
        }
		
        Separator {
        color: "white"
		width: 520
        }	
		
        Rectangle {
		width: 480
		height: lpsClockSizeSlider.value + 20
		color: backgroundLPS.checked ? "black" : "transparent"
			Label {
			text: Qt.formatDateTime (new Date(), "hh:mm")
            anchors.left: parent.left
            anchors.right: parent.right
			anchors.top: parent.top
            anchors.topMargin: 10
			anchors.bottom: parent.bottom
            anchors.bottomMargin: 10
            horizontalAlignment: Text.AlignHCenter
			verticalAlignment: Text.AlignVCenter
			font.weight: lightLPS.checked ? Font.Light : Font.Bold
			font.pixelSize: lpsClockSizeSlider.value
			color: lpsItem.currentValue
		    }
	    }
		
        Separator {
        color: "white"
		width: 520
        }	
		
        Button {
        platformStyle: ButtonStyle {
        background: "/usr/share/themes/sailfish/meegotouch/images/button_bg/button_bg.png"
        pressedBackground: "/usr/share/themes/sailfish/meegotouch/images/button_bg/button_bg_pressed.png"
        pressedTextColor: "#c8a955"
        }
        anchors.horizontalCenter: parent.horizontalCenter
        text: qsTr("Apply")
		font.weight: Font.Light
		font.pixelSize: 30
        width: 186
		height: 66
        onClicked: {
		ambiance.shell("/usr/share/themes/sailfish/meegotouch/.ambiance/scripts/lowpowerclock.sh")
		banner.notify(qsTr("Done!"))
            }
        }

        Item {
        width: 1
        height: 16
            }
			
        Separator {
        color: "white"
		title: qsTr("Lockscreen")
        }
		
         Label {
                text: qsTr("Set up lockscreen clock and date color with sliders below and push 'Apply'")
                anchors.left: parent.left
                anchors.leftMargin: 16
                anchors.right: parent.right
                anchors.rightMargin: 16
                horizontalAlignment: Text.AlignHRight
                wrapMode: Text.WordWrap        
		 }	
		 
         Item {
                width: 1
                height: 40
         }
		 
         Label {
                text: qsTr("Red")
                anchors.left: parent.left
                anchors.leftMargin: 16
                anchors.right: parent.right
                anchors.rightMargin: 16
                horizontalAlignment: Text.AlignHRight     
		 }	
		 
	 	 Slider {
                id: redSlider
				platformStyle: SliderStyle {
				handleBackground: "/usr/share/themes/sailfish/meegotouch/images/progress-indicators/slider/seeker-handle-inverted-background-horizontal.png"
                handleBackgroundPressed: "/usr/share/themes/sailfish/meegotouch/images/progress-indicators/slider/seeker-handle-inverted-background-pressed-horizontal.png"
				grooveItemBackground: "/usr/share/themes/sailfish/meegotouch/images/progress-indicators/slider/slider-inverted-background-horizontal.png"
				grooveItemElapsedBackground: "/usr/share/themes/sailfish/meegotouch/images/progress-indicators/slider/slider-elapsed-inverted-background-horizontal.png"
				}
                width: parent.width
                maximumValue: 255
                minimumValue: 0
                value: gconf.get("/apps/ancelad/lockscreen/red")
                stepSize: 1
                valueIndicatorVisible: true
                valueIndicatorText: qsTr("%1").arg(parseInt(value))
                onValueChanged: gconf.set("/apps/ancelad/lockscreen/red", value)
            }	
			
         Label {
                text: qsTr("Green")
                anchors.left: parent.left
                anchors.leftMargin: 16
                anchors.right: parent.right
                anchors.rightMargin: 16
                horizontalAlignment: Text.AlignHRight      
		 }
	 
		 Slider {
                id: greenSlider
				platformStyle: SliderStyle {
				handleBackground: "/usr/share/themes/sailfish/meegotouch/images/progress-indicators/slider/seeker-handle-inverted-background-horizontal.png"
                handleBackgroundPressed: "/usr/share/themes/sailfish/meegotouch/images/progress-indicators/slider/seeker-handle-inverted-background-pressed-horizontal.png"
				grooveItemBackground: "/usr/share/themes/sailfish/meegotouch/images/progress-indicators/slider/slider-inverted-background-horizontal.png"
				grooveItemElapsedBackground: "/usr/share/themes/sailfish/meegotouch/images/progress-indicators/slider/slider-elapsed-inverted-background-horizontal.png"
				}
                width: parent.width
                maximumValue: 255
                minimumValue: 0
                value: gconf.get("/apps/ancelad/lockscreen/green")
                stepSize: 1
                valueIndicatorVisible: true
                valueIndicatorText: qsTr("%1").arg(parseInt(value))
                onValueChanged: gconf.set("/apps/ancelad/lockscreen/green", value)
            }	
			
         Label {
                text: qsTr("Blue")
                anchors.left: parent.left
                anchors.leftMargin: 16
                anchors.right: parent.right
                anchors.rightMargin: 16
                horizontalAlignment: Text.AlignHRight     
		 }
		 
		     Slider {
                id: blueSlider
				platformStyle: SliderStyle {
				handleBackground: "/usr/share/themes/sailfish/meegotouch/images/progress-indicators/slider/seeker-handle-inverted-background-horizontal.png"
                handleBackgroundPressed: "/usr/share/themes/sailfish/meegotouch/images/progress-indicators/slider/seeker-handle-inverted-background-pressed-horizontal.png"
				grooveItemBackground: "/usr/share/themes/sailfish/meegotouch/images/progress-indicators/slider/slider-inverted-background-horizontal.png"
				grooveItemElapsedBackground: "/usr/share/themes/sailfish/meegotouch/images/progress-indicators/slider/slider-elapsed-inverted-background-horizontal.png"
				}
                width: parent.width
                maximumValue: 255
                minimumValue: 0
                value: gconf.get("/apps/ancelad/lockscreen/blue")
                stepSize: 1
                valueIndicatorVisible: true
                valueIndicatorText: qsTr("%1").arg(parseInt(value))
                onValueChanged: gconf.set("/apps/ancelad/lockscreen/blue", value)
            }	
			
            Item { //spacing
                width: 1
                height: 90
            }
			
            Label {
			    id: example
                text: color
                anchors.left: parent.left
                anchors.leftMargin: 16
                anchors.right: parent.right
                anchors.rightMargin: 16
                horizontalAlignment: Text.AlignHCenter
				font.weight: Font.Light
				font.pixelSize: 60
				color: Qt.rgba(redSlider.value / 255, greenSlider.value / 255, blueSlider.value / 255, 1)
		    }
	
            Button {
                     platformStyle: ButtonStyle {
                         background: "/usr/share/themes/sailfish/meegotouch/images/button_bg/button_bg.png"
                         pressedBackground: "/usr/share/themes/sailfish/meegotouch/images/button_bg/button_bg_pressed.png"
                         pressedTextColor: "#c8a955"
                    }
                anchors.horizontalCenter: parent.horizontalCenter
                text: qsTr("Apply")
				font.weight: Font.Light
				font.pixelSize: 30
                width: 186
				height: 66
                onClicked: {
                    gconf.set("/apps/ancelad/lockscreen/hex", example.text)
					ambiance.shell("/usr/share/themes/sailfish/meegotouch/.ambiance/scripts/lockscreen.sh")
					banner.notify(qsTr("Done!"))
                }
            }
        Item {
        width: 1
        height: 40
        }
    }	
}
	
    Component.onCompleted: {
	lpsItem.initialValue = gconf.get("/apps/ancelad/LPS/color")
	lightLPS.checked = gconf.get("/apps/ancelad/LPS/lpsclockstyle", false)
	backgroundLPS.checked = gconf.get("/apps/ancelad/LPS/background", false)
    }

    ListModel {
        id: lpsModel
		Component.onCompleted: {
        	append({"name": qsTr("White"), "value": "#ffffff"})
        	append({"name": qsTr("Red"), "value": "#ff0000"})
        	append({"name": qsTr("Green"), "value": "#00ff00"})
        	append({"name": qsTr("Blue"), "value": "#0000ff"})
        	append({"name": qsTr("Yellow"), "value": "#ffff00"})
        	append({"name": qsTr("Cyan"), "value": "#00ffff"})		
        	append({"name": qsTr("Magenta"), "value": "#ff00ff"})			
        }		
    }
	
	ScrollDecorator {
        flickableItem: flickable
    }
} 