import com.nokia.meego 1.0
import QtQuick 1.1
import com.nokia.extras 1.1
import com.nokia.controlpanel 0.1
import org.coderus.GConf 1.0
import org.ancelad.Ambiance 1.0

Page {
    id: mainiconPage
    orientationLock: PageOrientation.LockPortrait

    Image {
        source: "/usr/share/themes/sailfish/meegotouch/images/common_backgrounds/480x854.png"
        }
		
        tools: ToolBarLayout {
                Image {
                source: "/usr/share/themes/sailfish/meegotouch/images/common_backgrounds/480x72.png"
                      }
            Button {
                platformStyle: ButtonStyle {
                background: "images/m-toolbar-back.png"
                checkedBackground: "images/m-toolbar-back-pressed.png"
                pressedBackground: "images/m-toolbar-back-pressed.png"
                }                   
                text: ""
                anchors.left: parent.left
                width: 64
                height: 64
                    onClicked: {
                        if (pageStack.depth > 1) {
                        pageStack.pop();
                    } else if (dcp.isStandalone) {
                        dcp.popupMainPageAlone();
                    } else {
                        Qt.quit();                   
	            }	
			}
	    }
    }
    
		
    GConf {
        id: gconf
    }

    Ambiance {
        id: ambiance
    }

    function iconApply(path) {
        ambiance.shell("/usr/share/themes/sailfish/meegotouch/.ambiance/scripts/launcher_options.sh", [path])
		banner.notify(qsTr("Done! Restart themedaemon."))
    }
        Flickable {
        id: flickable
        anchors.fill: parent
        flickableDirection: Flickable.VerticalFlick
        contentHeight: content.height
		
        Column {		
        id: content
        width: parent.width	
				
		    DcpPageTitle {
                x: 10		
                text: qsTr("Icons settings")
	    }
										
            Separator {
                title: qsTr("Jolla-icons")
                color: "white"
            }
			
            MySwitch {
                id: jollaIcons
                anchors.right: parent.right
                onClicked: {
                        width: 64
                        height: 64
                    if (checked) {
                        ambiance.shell("/usr/share/themes/sailfish/meegotouch/.ambiance/scripts/enable_icons.sh")
                        banner.notify(qsTr("Jolla-icons enabled! Restart themedaemon."))
                                            }
                    else {
                        ambiance.shell("/usr/share/themes/sailfish/meegotouch/.ambiance/scripts/disable_icons.sh")
                        banner.notify(qsTr("Jolla-icons disabled! Restart themedaemon."))
                    }
                    gconf.set("/apps/ancelad/icons", checked)
                }
            }
			
			Separator {
                title: qsTr("Settings icon")
                color: "white"
            }
		
            MySwitch {
                id: settingsIcon
                anchors.right: parent.right
                onClicked: {
                        width: 64
                        height: 64
                    if (checked) {
					    gconf.set("/apps/ancelad/settings_icon", true)
                        ambiance.shell("/usr/share/themes/sailfish/meegotouch/.ambiance/scripts/settings_icon.sh")
                        banner.notify(qsTr("Done!"))
                                            }
                    else {
					    gconf.set("/apps/ancelad/settings_icon", false)
                        ambiance.shell("/usr/share/themes/sailfish/meegotouch/.ambiance/scripts/settings_icon.sh")
                        banner.notify(qsTr("Done!"))
                    }
                    gconf.set("/apps/ancelad/settings_icon", checked)
                }
            }
								
				Separator {
                title: qsTr("Launcher icon")
                color: "white"
            }
			
			Row {

                width: parent.width
                anchors.horizontalCenter: parent.horizontalCenter

                Button {
                     platformStyle: ButtonStyle {
                         background: "/usr/share/themes/sailfish/meegotouch/images/button_bg/button_bg.png"
                         pressedBackground: "/usr/share/themes/sailfish/meegotouch/images/button_bg/button_bg_pressed.png"
						 pressedTextColor: "#c8a955"
                       }
                    text: qsTr("Custom*")
                    anchors.left: parent.left
                    anchors.leftMargin: 39
                    width: 182
					height: 66
				    font.weight: Font.Light
				    font.pixelSize: 30
                    onClicked: {
						gconf.set("/apps/ancelad/launcher", "custom")
					    pageStack.push(Qt.resolvedUrl("IconsPage.qml"))
                        pageStack.currentPage.selected.connect(mainiconPage.iconApply)
                    }
                }

                Button {
                     platformStyle: ButtonStyle {
                         background: "/usr/share/themes/sailfish/meegotouch/images/button_bg/button_bg.png"
                         pressedBackground: "/usr/share/themes/sailfish/meegotouch/images/button_bg/button_bg_pressed.png"
						 pressedTextColor: "#c8a955"
                       }
                    anchors.right: parent.right
                    anchors.rightMargin: 39               
                    text: qsTr("Default")
                    width: 182
					height: 66
				    font.weight: Font.Light
				    font.pixelSize: 30
                    onClicked: {
					gconf.set("/apps/ancelad/launcher", "default")
                    ambiance.shell("/usr/share/themes/sailfish/meegotouch/.ambiance/scripts/launcher_options.sh")
                    banner.notify(qsTr("Done! Restart themedaemon."))
                    }
                }
            }
			
            Label {
                text: qsTr("\n\*Icon requirements: PNG 86x86 px;\n\Folder: /home/user/MyDocs/Pictures/ambiance/.launcher")
                font.pixelSize: 20
                anchors.left: parent.left
                anchors.leftMargin: 4
                horizontalAlignment: Text.AlignHLeft
                width: parent.width
                }
				  
            Item {
                width: 1
                height: 16
            }
			
			Separator {
                title: qsTr("Application icons")
                color: "white"
            }
			
			Row {

                width: parent.width
                anchors.horizontalCenter: parent.horizontalCenter

                Button {
                     platformStyle: ButtonStyle {
                         background: "/usr/share/themes/sailfish/meegotouch/images/button_bg/button_bg.png"
                         pressedBackground: "/usr/share/themes/sailfish/meegotouch/images/button_bg/button_bg_pressed.png"
						 pressedTextColor: "#c8a955"
                       }
                    text: qsTr("Native")
                    anchors.left: parent.left
                    anchors.leftMargin: 39
                    width: 182
					height: 66
				    font.weight: Font.Light
				    font.pixelSize: 30
                    onClicked: {
					    pageStack.push(Qt.resolvedUrl("NativeIconPage.qml"))
                    }
                }

                Button {
                     platformStyle: ButtonStyle {
                         background: "/usr/share/themes/sailfish/meegotouch/images/button_bg/button_bg.png"
                         pressedBackground: "/usr/share/themes/sailfish/meegotouch/images/button_bg/button_bg_pressed.png"
						 pressedTextColor: "#c8a955"
                       }
                    anchors.right: parent.right
                    anchors.rightMargin: 39               
                    text: qsTr("3rd-Party")
                    width: 182
					height: 66
				    font.weight: Font.Light
				    font.pixelSize: 30
                    onClicked: {
					     pageStack.push(Qt.resolvedUrl("3RDPartyPage.qml"))
                    }
                }
            }
			
            Item { //spacing
                width: 1
                height: 16
            }	
			
            Separator {
                color: "white"
                title: qsTr("Other")
            }
			
            Button {
                     platformStyle: ButtonStyle {
                         background: "/usr/share/themes/sailfish/meegotouch/images/button_bg/button_bg_large.png"
                         pressedBackground: "/usr/share/themes/sailfish/meegotouch/images/button_bg/button_bg_large_pressed.png"
						 pressedTextColor: "#c8a955"
                       }
                anchors.horizontalCenter: parent.horizontalCenter
                text: qsTr("Restart themedaemon")
				width: 322
				height: 66
				font.weight: Font.Light
				font.pixelSize: 30
                onClicked: {
                    ambiance.shell("/usr/share/themes/sailfish/meegotouch/.ambiance/scripts/restart_themedaemon.sh")
                }
            }

            Item {
                width: 1
                height: 40
            }
        }
    }
	
    ScrollDecorator {
        flickableItem: flickable
    }
	
    Component.onCompleted: {
        settingsIcon.checked = gconf.get("/apps/ancelad/settings_icon", false)
        jollaIcons.checked = gconf.get("/apps/ancelad/icons", false)
        //launcherIcons.checked  = gconf.get("/apps/ancelad/launcher_icons", false)
    }
}    
