import com.nokia.meego 1.0
import QtQuick 1.1
import com.nokia.extras 1.1
import com.nokia.controlpanel 0.1
import org.coderus.GConf 1.0
import org.ancelad.Ambiance 1.0

Page {
    id: appsiconPage
    orientationLock: PageOrientation.LockPortrait
        Image {
        source: "/usr/share/themes/sailfish/meegotouch/images/common_backgrounds/480x854.png"
              }
        tools: ToolBarLayout {
                Image {
                source: "/usr/share/themes/sailfish/meegotouch/images/common_backgrounds/480x72.png"
                      }
					  
        Button {
                platformStyle: ButtonStyle {
                background: "images/m-toolbar-back.png"
                checkedBackground: "images/m-toolbar-back-pressed.png"
                pressedBackground: "images/m-toolbar-back-pressed.png"
                }                   
                text: ""
                anchors.left: parent.left
                width: 64
                height: 64
                onClicked: {
                        if (pageStack.depth > 1) {
                        pageStack.pop();
                    } else if (dcp.isStandalone) {
                        dcp.popupMainPageAlone();
                    } else {
                        Qt.quit();                   
	            }	
			}
	    }
    }

    GConf {
        id: gconf
    }

    Ambiance {
        id: ambiance
    }	

    function copyIcon(path) {
        ambiance.shell("/usr/share/themes/sailfish/meegotouch/.ambiance/scripts/native_icons_to_mydocs.sh", [path])
		banner.notify(qsTr("Done!"))
    }		
        Flickable {
        id: flickable
        anchors.fill: parent
        flickableDirection: Flickable.VerticalFlick
        contentHeight: content.height
		
        Column {
            id: content
            spacing: 10
            width: parent.width
			
		    DcpPageTitle {
                x: 10
                text: qsTr("Native icons")
            }

            Label {
                text: qsTr("Enable Jolla-icons! Push the button and select icon. You can choose one icon or all icons. It (or they) will be copied to /MyDocs/native_icons")
                anchors.left: parent.left
                anchors.leftMargin: 4
                horizontalAlignment: Text.AlignHLeft
                width: parent.width
                font.pixelSize: 26
                }	
			
            Separator {
                title: qsTr("Jolla-icons")
                color: "white"
            }
			
            MySwitch {
                id: jollaIcons
                anchors.right: parent.right
                onClicked: {
                        width: 64
                        height: 64
                    if (checked) {
                        ambiance.shell("/usr/share/themes/sailfish/meegotouch/.ambiance/scripts/enable_icons.sh")
                        banner.notify(qsTr("Jolla-icons enabled! Restart themedaemon."))
                                            }
                    else {
                        ambiance.shell("/usr/share/themes/sailfish/meegotouch/.ambiance/scripts/disable_icons.sh")
                        banner.notify(qsTr("Jolla-icons disabled! Restart themedaemon."))
                    }
                    gconf.set("/apps/ancelad/icons", checked)
                }
            }
			
            Separator {
                title: qsTr("Copy to MyDocs")
                color: "white"
            }
			
            Row {

                width: parent.width
                anchors.horizontalCenter: parent.horizontalCenter

                Button {
                     platformStyle: ButtonStyle {
                         background: "/usr/share/themes/sailfish/meegotouch/images/button_bg/button_bg.png"
                         pressedBackground: "/usr/share/themes/sailfish/meegotouch/images/button_bg/button_bg_pressed.png"
						 pressedTextColor: "#c8a955"
                       }
                    text: qsTr("One icon")
                    anchors.left: parent.left
                    anchors.leftMargin: 39
                    width: 182
					height: 66
				    font.weight: Font.Light
				    font.pixelSize: 30
                    onClicked: {
					      gconf.set("/apps/ancelad/native", "one")
					      pageStack.push(Qt.resolvedUrl("MeeGoIconsPage.qml"))
						  pageStack.currentPage.selected.connect(appsiconPage.copyIcon)
                    }
                }

                Button {
                     platformStyle: ButtonStyle {
                         background: "/usr/share/themes/sailfish/meegotouch/images/button_bg/button_bg.png"
                         pressedBackground: "/usr/share/themes/sailfish/meegotouch/images/button_bg/button_bg_pressed.png"
						 pressedTextColor: "#c8a955"
                       }
                anchors.right: parent.right
                anchors.rightMargin: 39               
                    text: qsTr("All icons")
                    width: 182
					height: 66
				    font.weight: Font.Light
				    font.pixelSize: 30
                    onClicked: {
                          gconf.set("/apps/ancelad/native", "all")
						  ambiance.shell("/usr/share/themes/sailfish/meegotouch/.ambiance/scripts/native_icons_to_mydocs.sh")
						  banner.notify(qsTr("Done!"))
                    }
                }
            }
			
            Item {
                width: 1
                height: 14
            }	
            Separator {
                color: "white"
				width: 520
            }
			
            Label {
                text: qsTr("Connect phone to PC in Mass-storage mode, find folder 'native_icons' and replace icons. Then copy them back.")
                anchors.left: parent.left
                anchors.leftMargin: 4
                horizontalAlignment: Text.AlignHLeft
                width: parent.width
                font.pixelSize: 26
                }	
				
            Separator {
                title: qsTr("Copy back")
                color: "white"
            }
			
            Button {
                     platformStyle: ButtonStyle {
                         background: "/usr/share/themes/sailfish/meegotouch/images/button_bg/button_bg.png"
                         pressedBackground: "/usr/share/themes/sailfish/meegotouch/images/button_bg/button_bg_pressed.png"
                         pressedTextColor: "#c8a955"
                    }
                anchors.horizontalCenter: parent.horizontalCenter
                text: qsTr("Copy back")
				font.weight: Font.Light
				font.pixelSize: 30
                width: 186
				height: 66
                onClicked: {
						  ambiance.shell("/usr/share/themes/sailfish/meegotouch/.ambiance/scripts/native_icons_back.sh")
						  banner.notify(qsTr("Done!"))
                }
            }
			
            Item {
                width: 1
                height: 14
            }	
			
            Separator {
                color: "white"
				width: 520
            }
			
            Label {
                text: qsTr("Disable/enable Jolla-icons, restart themedaemon and you will see changes.")
                anchors.left: parent.left
                anchors.leftMargin: 4
                horizontalAlignment: Text.AlignHLeft
                width: parent.width
                font.pixelSize: 26
                }	
				
            Button {
                     platformStyle: ButtonStyle {
                         background: "/usr/share/themes/sailfish/meegotouch/images/button_bg/button_bg_large.png"
                         pressedBackground: "/usr/share/themes/sailfish/meegotouch/images/button_bg/button_bg_large_pressed.png"
						 pressedTextColor: "#c8a955"
                       }
                anchors.horizontalCenter: parent.horizontalCenter
                text: qsTr("Restart themedaemon")
				width: 322
				height: 66
				font.weight: Font.Light
				font.pixelSize: 30
                onClicked: {
                    ambiance.shell("/usr/share/themes/sailfish/meegotouch/.ambiance/scripts/restart_themedaemon.sh")
                }
            }

			Item {
                width: 1
                height: 14
            }			
		}
	}
	
	Component.onCompleted: {
        jollaIcons.checked = gconf.get("/apps/ancelad/icons", false)
    }
	
	ScrollDecorator {
        flickableItem: flickable
    }
}	
