import com.nokia.meego 1.0
import QtQuick 1.1
import com.nokia.extras 1.1
import com.nokia.controlpanel 0.1
import org.coderus.GConf 1.0
import org.ancelad.Ambiance 1.0

Page {
    id: mainiconPage
    orientationLock: PageOrientation.LockPortrait

    Image {
        source: "/usr/share/themes/sailfish/meegotouch/images/common_backgrounds/480x854.png"
        }

    Image {
        source: pulleyTop.checked ? "/usr/share/themes/sailfish/meegotouch/images/common_backgrounds/shadow_top.png" : ""
		anchors.top: parent.top
        }

    Image {
        source: pulleyBottom.checked ? "/usr/share/themes/sailfish/meegotouch/images/common_backgrounds/shadow_bottom.png" : ""
		anchors.bottom: parent.bottom
        }
		
    GConf {
        id: gconf
    }

    Ambiance {
        id: ambiance
    }

        Flickable {
        id: flickable
        anchors.fill: parent
        flickableDirection: Flickable.VerticalFlick
        contentHeight: content.height
	
        Column {		
        id: content
        width: parent.width	
				
            Item {
                width: 1
                height: 40
            }
	
            Label {
                text: qsTr("Choose pulley-texture location and push 'Apply'. You can preview your changes on this page. This feature doesn't add pulley-menu, this is just a picture!")
                anchors.left: parent.left
                anchors.leftMargin: 2
                horizontalAlignment: Text.AlignHCenter
                width: parent.width
                font.pixelSize: 26
                wrapMode: Text.WordWrap  
            }	
			
            Separator {
                title: ""
                color: "white"
				width: 520
            }
			
		Row {
			
			width: parent.width
            anchors.horizontalCenter: parent.horizontalCenter
				
		    Label {
            text: qsTr("Pulley at the top")
            anchors.left: parent.left
			anchors.leftMargin: 10
			anchors.topMargin: 14
            anchors.rightMargin: 80  
		    }
			
            MySwitch {
                id: pulleyTop
                anchors.right: parent.right
                onClicked: {
                    width: 64
                    height: 64
                    gconf.set("/apps/ancelad/pulley/pulleyTop", checked)
                }
            }
		}

		Row {
			
			width: parent.width
            anchors.horizontalCenter: parent.horizontalCenter
				
		    Label {
            text: qsTr("Pulley at the bottom")
            anchors.left: parent.left
			anchors.leftMargin: 10
			anchors.top: parent.top
			anchors.topMargin: 14 
		    }
		
            MySwitch {
                id: pulleyBottom
                anchors.right: parent.right
                onClicked: {
                    width: 64
                    height: 64
                    gconf.set("/apps/ancelad/pulley/pulleyBottom", checked)
                }
            }
		}
		
            Item {
                width: 1
                height: 16
            }

            Button {
            platformStyle: ButtonStyle {
            background: "/usr/share/themes/sailfish/meegotouch/images/button_bg/button_bg.png"
            pressedBackground: "/usr/share/themes/sailfish/meegotouch/images/button_bg/button_bg_pressed.png"
            pressedTextColor: "#c8a955"
            }
            anchors.horizontalCenter: parent.horizontalCenter
            text: qsTr("Apply")
		    font.weight: Font.Light
		    font.pixelSize: 30
            width: 186
		    height: 66
                onClicked: {
					ambiance.shell("/usr/share/themes/sailfish/meegotouch/.ambiance/scripts/pulley.sh")
					banner.notify(qsTr("Done! Restart themedaemon."))
                }
            }
			
            Separator {
                title: ""
                color: "white"
				width: 520
            }
			
            Button {
                     platformStyle: ButtonStyle {
                         background: "/usr/share/themes/sailfish/meegotouch/images/button_bg/button_bg_large.png"
                         pressedBackground: "/usr/share/themes/sailfish/meegotouch/images/button_bg/button_bg_large_pressed.png"
						 pressedTextColor: "#c8a955"
                       }
                anchors.horizontalCenter: parent.horizontalCenter
                text: qsTr("Restart themedaemon")
				width: 322
				height: 66
				font.weight: Font.Light
				font.pixelSize: 30
                onClicked: {
                    ambiance.shell("/usr/share/themes/sailfish/meegotouch/.ambiance/scripts/restart_themedaemon.sh")
                }
            }
			
            Separator {
                title: ""
                color: "white"
				width: 520
            }
			
            Label {
                text: qsTr("If you want to remove pulley-texture, just re-apply your previous Ambiance-wallpaper")
				wrapMode: Text.WordWrap
                anchors.left: parent.left
                anchors.leftMargin: 2
                horizontalAlignment: Text.AlignHCenter
                width: parent.width
                font.pixelSize: 26
            }
			
            Button {
                     platformStyle: ButtonStyle {
                         background: "/usr/share/themes/sailfish/meegotouch/images/button_bg/button_bg_large.png"
                         pressedBackground: "/usr/share/themes/sailfish/meegotouch/images/button_bg/button_bg_large_pressed.png"
						 pressedTextColor: "#c8a955"
                       }
                anchors.horizontalCenter: parent.horizontalCenter
                text: qsTr("Go to wallpapers")
				width: 322
				height: 66
				font.weight: Font.Light
				font.pixelSize: 30
                onClicked: {
                    pageStack.push(Qt.resolvedUrl("Wallpapers.qml"))
                }
            }
			
            Item {
                width: 1
                height: 64
            }
			
        Button {
                    platformStyle: ButtonStyle {
                    background: "images/m-toolbar-back.png"
                    checkedBackground: "images/m-toolbar-back-pressed.png"
                    pressedBackground: "images/m-toolbar-back-pressed.png"
                    }                   
                text: ""
                anchors.left: parent.left
				anchors.bottom: parent.bottom
                width: 64
                height: 64
                    onClicked: {
                        if (pageStack.depth > 1) {
                        pageStack.pop();
                    } else if (dcp.isStandalone) {
                        dcp.popupMainPageAlone();
                    } else {
                        Qt.quit();                   
	            }	
			}
	    }		
    }
}
	
    Component.onCompleted: {
        pulleyTop.checked = gconf.get("/apps/ancelad/pulley/pulleyTop", false)
        pulleyBottom.checked = gconf.get("/apps/ancelad/pulley/pulleyBottom", false)
    }
}    
