import com.nokia.meego 1.0
import QtQuick 1.1
import com.nokia.extras 1.1
import com.nokia.controlpanel 0.1
import org.coderus.GConf 1.0
import org.ancelad.Ambiance 1.0

Page {
    id: mainPage
    orientationLock: PageOrientation.LockPortrait

    Image {
        source: "/usr/share/themes/sailfish/meegotouch/images/common_backgrounds/480x854.png"
        }
		  
    tools: ToolBarLayout {
            Image {
            source: "/usr/share/themes/sailfish/meegotouch/images/common_backgrounds/480x72.png"
            }
			
        Button {
            platformStyle: ButtonStyle {
            background: "images/m-toolbar-back.png"
            checkedBackground: "images/m-toolbar-back-pressed.png"
            pressedBackground: "images/m-toolbar-back-pressed.png"
            }                   
            text: ""
            anchors.left: parent.left
            width: 64
            height: 64
            onClicked: {
                        if (pageStack.depth > 1) {
                        pageStack.pop();
                    } else if (dcp.isStandalone) {
                        dcp.popupMainPageAlone();
                    } else {
                        Qt.quit();                   
	            }	
			}
	    }
    }


			
    GConf {
        id: gconf
    }

    Ambiance {
        id: ambiance
    }
	
    Flickable {
    id: flickable
    anchors.fill: parent
    flickableDirection: Flickable.VerticalFlick
    contentHeight: content.height
	
    Column {
        id: content
        width: parent.width
		
		Column {
            id: contentstatusbar
            width: parent.width
			height: 36
			anchors.top: parent.top
			anchors.topMargin: 4
			
            Button {
		    platformStyle: ButtonStyle {
            background: ""
			pressedBackground: ""
			}
		    anchors.horizontalCenter: parent.horizontalCenter
            width: 480
            height: 36
		        onClicked: {
				banner.notify(qsTr("Please, don't touch me, I'm a little alien, let me sleep a bit :("))
                } 
            }	
			
            Row {
            width: parent.width
            anchors.top: parent.top

                Image {
                source: batteryIcons.checked ? "images/battery_new.png" : "images/battery_old.png"
                width: 31
                height: 20
                anchors.left: parent.left
                anchors.leftMargin: 6
                }

				Image {
                source: networkIcons.checked ? "images/network_new.png" : "images/network_old.png"
                width: 20
                height: 20
                anchors.left: parent.left
                anchors.leftMargin: 46
                }
				
		        Label {
			    id: oplogoStatusbar
                text: "Unlike"
                anchors.left: parent.left
                anchors.leftMargin: 71
				anchors.top: parent.top
				anchors.topMargin: -6
				font.weight: Font.Light
				font.pixelSize: 25
				color: Qt.rgba(redSliderStatusbar.value / 255, greenSliderStatusbar.value / 255, blueSliderStatusbar.value / 255, 1)
		        }     

                Image {
                source: "images/3G.png"
                width: 40
                height: 20
				anchors.left: parent.left
                anchors.leftMargin: 142
                }

                Image {
                source: "/usr/share/themes/sailfish/meegotouch/icons/status/icon-s-status-notifier-call-missed.png"
                width: 20
                height: 32
				anchors.left: parent.left
                anchors.leftMargin: 248
                }
				
                Image {
                source: "/usr/share/themes/sailfish/meegotouch/icons/status/icon-s-status-notifier-sms.png"
                width: 22
                height: 32
				anchors.left: parent.left
                anchors.leftMargin: 272
                }
				
		        Label {
			    id: datetimeStatusbar
				text: Qt.formatDateTime (new Date(), "hh:mm | dd.MM.yyyy")
                anchors.left: parent.left
                anchors.leftMargin: 300
				anchors.top: parent.top
				anchors.topMargin: -4
				font.weight: Font.Light
				font.pixelSize: 22
				color: Qt.rgba(redSliderStatusbar.value / 255, greenSliderStatusbar.value / 255, blueSliderStatusbar.value / 255, 1)
		        } 	
            }
        }

        Item {
        width: 1
        height: 10
        }
		
        Label {
        text: qsTr("Set up statusbar time and operator-name color with sliders below and push 'Apply'. The statusbar above isn't real, this is just an example to see text color.")
        anchors.left: parent.left
        anchors.leftMargin: 16
        anchors.right: parent.right
        anchors.rightMargin: 16
		font.pixelSize: 23
        horizontalAlignment: Text.AlignHRight
        wrapMode: Text.WordWrap        
		}
			
        Item {
        width: 1
        height: 40
        }
		 
        Label {
        text: qsTr("Red")
        anchors.left: parent.left
        anchors.leftMargin: 16
        anchors.right: parent.right
        anchors.rightMargin: 16
        horizontalAlignment: Text.AlignHRight     
		}	
		 
	 	Slider {
        id: redSliderStatusbar
		platformStyle: SliderStyle {
		handleBackground: "/usr/share/themes/sailfish/meegotouch/images/progress-indicators/slider/seeker-handle-inverted-background-horizontal.png"
        handleBackgroundPressed: "/usr/share/themes/sailfish/meegotouch/images/progress-indicators/slider/seeker-handle-inverted-background-pressed-horizontal.png"
		grooveItemBackground: "/usr/share/themes/sailfish/meegotouch/images/progress-indicators/slider/slider-inverted-background-horizontal.png"
		grooveItemElapsedBackground: "/usr/share/themes/sailfish/meegotouch/images/progress-indicators/slider/slider-elapsed-inverted-background-horizontal.png"
	        }
        width: parent.width
        maximumValue: 255
        minimumValue: 0
        value: gconf.get("/apps/ancelad/statusbar/red")
        stepSize: 1
        valueIndicatorVisible: true
        valueIndicatorText: qsTr("%1").arg(parseInt(value))
        onValueChanged: gconf.set("/apps/ancelad/statusbar/red", value)
        }	
			
        Label {
        text: qsTr("Green")
        anchors.left: parent.left
        anchors.leftMargin: 16
        anchors.right: parent.right
        anchors.rightMargin: 16
        horizontalAlignment: Text.AlignHRight      
		}
	 
		Slider {
        id: greenSliderStatusbar
		platformStyle: SliderStyle {
		handleBackground: "/usr/share/themes/sailfish/meegotouch/images/progress-indicators/slider/seeker-handle-inverted-background-horizontal.png"
        handleBackgroundPressed: "/usr/share/themes/sailfish/meegotouch/images/progress-indicators/slider/seeker-handle-inverted-background-pressed-horizontal.png"
		grooveItemBackground: "/usr/share/themes/sailfish/meegotouch/images/progress-indicators/slider/slider-inverted-background-horizontal.png"
		grooveItemElapsedBackground: "/usr/share/themes/sailfish/meegotouch/images/progress-indicators/slider/slider-elapsed-inverted-background-horizontal.png"
		    }
        width: parent.width
        maximumValue: 255
        minimumValue: 0
        value: gconf.get("/apps/ancelad/statusbar/green")
        stepSize: 1
        valueIndicatorVisible: true
        valueIndicatorText: qsTr("%1").arg(parseInt(value))
        onValueChanged: gconf.set("/apps/ancelad/statusbar/green", value)
        }	
			
        Label {
        text: qsTr("Blue")
        anchors.left: parent.left
        anchors.leftMargin: 16
        anchors.right: parent.right
        anchors.rightMargin: 16
        horizontalAlignment: Text.AlignHRight     
		}
		 
		Slider {
        id: blueSliderStatusbar
		platformStyle: SliderStyle {
		handleBackground: "/usr/share/themes/sailfish/meegotouch/images/progress-indicators/slider/seeker-handle-inverted-background-horizontal.png"
        handleBackgroundPressed: "/usr/share/themes/sailfish/meegotouch/images/progress-indicators/slider/seeker-handle-inverted-background-pressed-horizontal.png"
		grooveItemBackground: "/usr/share/themes/sailfish/meegotouch/images/progress-indicators/slider/slider-inverted-background-horizontal.png"
		grooveItemElapsedBackground: "/usr/share/themes/sailfish/meegotouch/images/progress-indicators/slider/slider-elapsed-inverted-background-horizontal.png"
		    }
        width: parent.width
        maximumValue: 255
        minimumValue: 0
        value: gconf.get("/apps/ancelad/statusbar/blue")
        stepSize: 1
        valueIndicatorVisible: true
        valueIndicatorText: qsTr("%1").arg(parseInt(value))
        onValueChanged: gconf.set("/apps/ancelad/statusbar/blue", value)
        }			

        Label {
        text: qsTr("You can see HEX-code of your color below.")
        anchors.left: parent.left
        anchors.leftMargin: 16
        anchors.right: parent.right
        anchors.rightMargin: 16
        horizontalAlignment: Text.AlignHRight 
		font.pixelSize: 23
		}
			
        Label {
		id: exampleStatusbar
        text: color
        anchors.left: parent.left
        anchors.leftMargin: 16
        anchors.right: parent.right
        anchors.rightMargin: 16
        horizontalAlignment: Text.AlignHCenter
		font.weight: Font.Light
		font.pixelSize: 60
		color: Qt.rgba(redSliderStatusbar.value / 255, greenSliderStatusbar.value / 255, blueSliderStatusbar.value / 255, 1)
		}			
				
        Button {
        platformStyle: ButtonStyle {
        background: "/usr/share/themes/sailfish/meegotouch/images/button_bg/button_bg.png"
        pressedBackground: "/usr/share/themes/sailfish/meegotouch/images/button_bg/button_bg_pressed.png"
        pressedTextColor: "#c8a955"
            }
        anchors.horizontalCenter: parent.horizontalCenter
        text: qsTr("Apply")
		font.weight: Font.Light
		font.pixelSize: 30
        width: 186
		height: 66
            onClicked: {
            gconf.set("/apps/ancelad/statusbar/hex", exampleStatusbar.text)
			ambiance.shell("/usr/share/themes/sailfish/meegotouch/.ambiance/scripts/statusbarclock.sh")
			banner.notify(qsTr("Done!"))
            }
        }
		
		Item {
		width:1
		height: 16
		}
		
        Separator {
            title: qsTr("Dropdown menu opacity")
            color: "white"
        }

		Item {
		width:1
		height: 16
		}
		
        Label {
            text: qsTr("Set up dropdown menu opacity with slider below and push 'Apply'")
            anchors.left: parent.left
            anchors.leftMargin: 16
            anchors.right: parent.right
            anchors.rightMargin: 16
            horizontalAlignment: Text.AlignHRight
            wrapMode: Text.WordWrap        
		}
			
	 	Slider {
            id: dropdownSlider
			platformStyle: SliderStyle {
			handleBackground: "/usr/share/themes/sailfish/meegotouch/images/progress-indicators/slider/seeker-handle-inverted-background-horizontal.png"
            handleBackgroundPressed: "/usr/share/themes/sailfish/meegotouch/images/progress-indicators/slider/seeker-handle-inverted-background-pressed-horizontal.png"
			grooveItemBackground: "/usr/share/themes/sailfish/meegotouch/images/progress-indicators/slider/slider-inverted-background-horizontal.png"
			grooveItemElapsedBackground: "/usr/share/themes/sailfish/meegotouch/images/progress-indicators/slider/slider-elapsed-inverted-background-horizontal.png"
			}
            width: parent.width
            maximumValue: 100
            minimumValue: 0
            value: gconf.get("/apps/ancelad/dropdownmenu")*100
            stepSize: 1
		    state: slider.valueIndicatorPosition
            valueIndicatorVisible: true
            valueIndicatorText: qsTr("%1%").arg(parseInt(value))
            onValueChanged: gconf.set("/apps/ancelad/dropdownmenu", value/100)
        }
			
        Button {
        platformStyle: ButtonStyle {
        background: "/usr/share/themes/sailfish/meegotouch/images/button_bg/button_bg.png"
        pressedBackground: "/usr/share/themes/sailfish/meegotouch/images/button_bg/button_bg_pressed.png"
        pressedTextColor: "#c8a955"
        }
        anchors.horizontalCenter: parent.horizontalCenter
        text: qsTr("Apply")
		font.weight: Font.Light
		font.pixelSize: 30
        width: 186
		height: 66
                onClicked: {
					ambiance.shell("/usr/share/themes/sailfish/meegotouch/.ambiance/scripts/dropdownmenu.sh")
					banner.notify(qsTr("Done!"))
                }
            }
			
		Item {
		width:1
		height: 16
		}	
		
			Separator {
                title: qsTr("Statusbar icons")
                color: "white"
            }	
			
			Row {
			
			    width: parent.width
                anchors.horizontalCenter: parent.horizontalCenter
				
		        Label {
                text: qsTr("New battery icons")
                anchors.left: parent.left
				anchors.top: parent.top
				anchors.topMargin: 14
                anchors.leftMargin: 10
		        }
			
                MySwitch {
                id: batteryIcons
                anchors.right: parent.right
                onClicked: {
                        width: 64
                        height: 64
                    if (checked) {
					    gconf.set("/apps/ancelad/statusbar/battery_icons", true)
                        ambiance.shell("/usr/share/themes/sailfish/meegotouch/.ambiance/scripts/newstatusbaricons.sh")
                        banner.notify(qsTr("Done! Restart themedaemon."))
                         }
                    else {
					    gconf.set("/apps/ancelad/statusbar/battery_icons", false)
                        ambiance.shell("/usr/share/themes/sailfish/meegotouch/.ambiance/scripts/newstatusbaricons.sh")
                        banner.notify(qsTr("Done! Restart themedaemon."))
                    }
                    gconf.set("/apps/ancelad/statusbar/battery_icon", checked)
                }				
                }	
			}
			
			Row {
			
			    width: parent.width
                anchors.horizontalCenter: parent.horizontalCenter
				
		        Label {
                text: qsTr("New network icons")
                anchors.left: parent.left
				anchors.top: parent.top
				anchors.topMargin: 14
                anchors.leftMargin: 10    
		        }
			
                MySwitch {
                id: networkIcons
                anchors.right: parent.right
                onClicked: {
                        width: 64
                        height: 64
                    if (checked) {
					    gconf.set("/apps/ancelad/statusbar/network_icons", true)
                        ambiance.shell("/usr/share/themes/sailfish/meegotouch/.ambiance/scripts/newstatusbaricons.sh")
                        banner.notify(qsTr("Done! Restart themedaemon."))
                         }
                    else {
					    gconf.set("/apps/ancelad/statusbar/network_icons", false)
                        ambiance.shell("/usr/share/themes/sailfish/meegotouch/.ambiance/scripts/newstatusbaricons.sh")
                        banner.notify(qsTr("Done! Restart themedaemon."))
                    }
                    gconf.set("/apps/ancelad/statusbar/network_icons", checked)
                }				
                }
			}
			
            Item {
                width: 1
                height: 10
            }
			
	        Label {
            text: qsTr("You can see differences in statusbar above :)")
            anchors.left: parent.left
            anchors.leftMargin: 16
            anchors.right: parent.right
            anchors.rightMargin: 16
            horizontalAlignment: Text.AlignHRight
            font.pixelSize: 22 			
			}	
	            Separator {
                color: "white"
                title: qsTr("Other")
            }

            Item {
                width: 1
                height: 5
            }
			
            Button {
                     platformStyle: ButtonStyle {
                         background: "/usr/share/themes/sailfish/meegotouch/images/button_bg/button_bg_large.png"
                         pressedBackground: "/usr/share/themes/sailfish/meegotouch/images/button_bg/button_bg_large_pressed.png"
						 pressedTextColor: "#c8a955"
                       }
                anchors.horizontalCenter: parent.horizontalCenter
                text: qsTr("Restart themedaemon")
				width: 322
				height: 66
				font.weight: Font.Light
				font.pixelSize: 30
                onClicked: {
                    ambiance.shell("/usr/share/themes/sailfish/meegotouch/.ambiance/scripts/restart_themedaemon.sh")
                }
            }
		
            Item {
                width: 1
                height: 25
            }
    
	        Component.onCompleted: {
		    batteryIcons.checked = gconf.get("/apps/ancelad/statusbar/battery_icons")
		    networkIcons.checked = gconf.get("/apps/ancelad/statusbar/network_icons")
            }			
		}		
	}
	
    ScrollDecorator {
        flickableItem: flickable
    }	
}       