import com.nokia.meego 1.0
import QtQuick 1.1
import com.nokia.extras 1.1
import com.nokia.controlpanel 0.1
import org.coderus.GConf 1.0
import org.ancelad.Ambiance 1.0

Page {
    id: mainPage
    orientationLock: PageOrientation.LockPortrait

    Image {
        source: "/usr/share/themes/sailfish/meegotouch/images/common_backgrounds/480x854.png"
        }
		
    tools: ToolBarLayout {
            Image {
            source: "/usr/share/themes/sailfish/meegotouch/images/common_backgrounds/480x72.png"
            }
			
        Button {
            platformStyle: ButtonStyle {
            background: "images/m-toolbar-back.png"
            checkedBackground: "images/m-toolbar-back-pressed.png"
            pressedBackground: "images/m-toolbar-back-pressed.png"
            }                   
            text: ""
            anchors.left: parent.left
            width: 64
            height: 64
            onClicked: {
                        if (pageStack.depth > 1) {
                        pageStack.pop();
                    } else if (dcp.isStandalone) {
                        dcp.popupMainPageAlone();
                    } else {
                        Qt.quit();                   
	            }	
			}
	    }	
    }
	
    GConf {
        id: gconf
    }

    Ambiance {
        id: ambiance
    }

    function backgroundApply(path) {
        ambiance.shell("/usr/share/themes/sailfish/meegotouch/.ambiance/scripts/apply_background.sh", [path])
		banner.notify(qsTr("Done! Restart themedaemon."))
    }
					
        Flickable {
        id: flickable
        anchors.fill: parent
        flickableDirection: Flickable.VerticalFlick
        contentHeight: content.height
		
        Column {		
        id: content
        width: parent.width
		
		DcpPageTitle {
                x: 10		
                text: qsTr("Wallpapers")
	    }
		
		Item {
		width: 1
		height: 10
		}
					
            Button {
                     platformStyle: ButtonStyle {
                         background: "/usr/share/themes/sailfish/meegotouch/images/button_bg/button_bg_large.png"
                         pressedBackground: "/usr/share/themes/sailfish/meegotouch/images/button_bg/button_bg_large_pressed.png"
						 pressedTextColor: "#c8a955"
                       }
                anchors.horizontalCenter: parent.horizontalCenter
                text: qsTr("Homescreen")
				width: 322
				height: 66
				font.weight: Font.Light
				font.pixelSize: 30
                onClicked: {
				    gconf.set("/apps/ancelad/wallpaper", "homescreen")
                    pageStack.push(Qt.resolvedUrl("ImagesPage.qml"))
                    pageStack.currentPage.selected.connect(mainPage.backgroundApply)
                }
            }

            Button {
                     platformStyle: ButtonStyle {
                         background: "/usr/share/themes/sailfish/meegotouch/images/button_bg/button_bg_large.png"
                         pressedBackground: "/usr/share/themes/sailfish/meegotouch/images/button_bg/button_bg_large_pressed.png"
						 pressedTextColor: "#c8a955"
                       }
                anchors.horizontalCenter: parent.horizontalCenter
                text: qsTr("Applications*")
				width: 322
				height: 66
				font.weight: Font.Light
				font.pixelSize: 30
                onClicked: {
				    gconf.set("/apps/ancelad/wallpaper", "applications")
                    pageStack.push(Qt.resolvedUrl("ImagesPage.qml"))
                    pageStack.currentPage.selected.connect(mainPage.backgroundApply)
                }
            }
	
            Item { //spacing
                width: 1
                height: 40
            }
			
            Label {
                text: qsTr("*only meegotouch-apps")
                anchors.left: parent.left
                anchors.leftMargin: 4
                horizontalAlignment: Text.AlignHLeft
                width: parent.width
                }	
				
            Item { //spacing
                width: 1
                height: 90
            }
			
            Button {
                     platformStyle: ButtonStyle {
                         background: "/usr/share/themes/sailfish/meegotouch/images/button_bg/button_bg_large.png"
                         pressedBackground: "/usr/share/themes/sailfish/meegotouch/images/button_bg/button_bg_large_pressed.png"
						 pressedTextColor: "#c8a955"
                       }
                anchors.horizontalCenter: parent.horizontalCenter
                text: qsTr("Restart themedaemon")
				width: 322
				height: 66
				font.weight: Font.Light
				font.pixelSize: 30
                onClicked: {
                        ambiance.shell("/usr/share/themes/sailfish/meegotouch/.ambiance/scripts/restart_themedaemon.sh")
                }
            }
        }
    }

    Component.onCompleted: {
    }

    ScrollDecorator {
        flickableItem: flickable
    }
}        